Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162751 - Switchdesk could be more helpful when it fails
Summary: Switchdesk could be more helpful when it fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: switchdesk
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 11:10 UTC by Nigel Horne
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-19 16:05:09 UTC


Attachments (Terms of Use)

Description Nigel Horne 2005-07-08 11:10:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
If I attempt to run switchdesk on a machine without GNOME installed I get an error:

"ERROR: GNOME not installed!"

That is true, but it would be useful if it listed the RPMs I need to install, or better still asked me to pop in the DVD and install it for me, or download from the YUM site.


Version-Release number of selected component (if applicable):
switchdesk-4.0.6-3

How reproducible:
Always

Steps to Reproduce:
1. switchdesk gnome
2.
3.
  

Actual Results:  ERROR: GNOME not installed

Expected Results:  Told me what RPMs are needed, or offer to install for me.

Additional info:

Comment 1 Ngo Than 2005-07-19 16:05:09 UTC
ok, the new switchdesk-4.0.7-1 will now tell you:

Error: GNOME is not installed on your machine! To install GNOME, please type 
       yum groupinstall "GNOME Desktop Environment"

it will install GNOME then.


Note You need to log in before you can comment on or make changes to this bug.